Check-in [cf8d967fcf]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview

SHA1 Hash:cf8d967fcf7e547dd8c8f18c06e8ecd76a7b3366
Date: 2012-03-23 14:20:11
User: BarryK
Comment:pupmessage script, partial replacement for xmessage, some scripts changed to use pupmessage

Tags And Properties
Changes

Changes to woof-code/rootfs-skeleton/usr/bin/pupmessage

@@ -1,1 +1,67 @@
+#!/bin/sh
+#(c) Copyright Barry Kauler March 2012, bkhome.org
+#License GPL3 (refer /usr/share/doc/legal).
+#this script is a replacement for 'xmessage'.
+#two reasons: 1: better appearance than gxmessage, 2: non-English text.
+#120323 first version. only a partial replacement for xmessage.
+
+if [ ! $1 ];then
+ echo "Partial replacement for xmessage.
+Can use only -bg -fg -timeout -title -center (default)
+ex: pupmessage -bg '$ff8080' -title 'Title of popup' 'Body text here'
+note: use 'pupkill $!' to kill a pupmessage window."
+ exit
+fi
+
+#note: use 'pupkill $!' to kill a pupmessage window.
+
+VALUEFLAG='no'; TITLETEXT=''; SEPPARAMS=''
+for AFIELD in "${1}" "${2}" "${3}" "${4}" "${5}" "${6}" "${7}" "${8}" "${9}" "${10}" "${11}" "${12}" "${13}" "${14}" "${15}" TOOLONG
+do
+ [ "$AFIELD" = "" ] && break
+ PREVFIELD="$AFIELD"
+ [ "$AFIELD" = "TOOLONG" ] && exit 255
+ case $VALUEFLAG in
+  yes)
+   SEPPARAMS="${SEPPARAMS} ${AFIELD}"
+   VALUEFLAG='no'
+   continue
+  ;;
+  title) #value can have multiple words.
+   TITLETEXT="$AFIELD"
+   VALUEFLAG='no'
+   continue
+  ;;
+ esac
+ ADDME='no'
+ case "$AFIELD" in
+  -title) VALUEFLAG='title'  ;;
+  -bg|-fg|-buttons|-default|-file|-timeout) VALUEFLAG='yes'; ADDME='yes'  ;;
+  -print|-center|-nearmouse) ADDME='yes' ;;
+ esac
+ [ "$ADDME" = "yes" ] && SEPPARAMS="${SEPPARAMS}
+${AFIELD}"
+done
+SEPMSG="$PREVFIELD" #message to be displayed.
+
+#if certain options, use original xmessage (or gxmessage)...
+if [ "`echo "$SEPPARAMS" | grep -E '^-buttons|^-file|^-print|^-nearmouse|^-default'`" != "" ];then
+ xSEPPARAMS=$(echo "$SEPPARAMS" | tr '\n' ' ')
+ if [ "$TITLETEXT" ];then
+  exec xmessage $xSEPPARAMS -title "$TITLETEXT" "$SEPMSG"
+ else
+  exec xmessage $xSEPPARAMS "$SEPMSG"
+ fi
+fi
+
+xSEPPARAMS=$(echo "$SEPPARAMS" | sed -e 's%^-bg%--background%' -e 's%^-fg%--foreground%' -e 's%^-timeout%--timeout%' | sed '/^-center/d' | tr '\n' ' ')
+
+#echo "xSEPPARAMS=${xSEPPARAMS}" #TEST
+
+if [ "$TITLETEXT" ];then
+ exec pupdialog $xSEPPARAMS --backtitle "$TITLETEXT" --msgbox "$SEPMSG" 0 0
+else
+ exec pupdialog $xSEPPARAMS --msgbox "$SEPMSG" 0 0
+fi
 
+###END###

Changes to woof-code/rootfs-skeleton/usr/local/bin/drive_all

@@ -29,10 +29,11 @@
 #110505 support sudo for non-root user.
 #110720 should not open a layer inside aufs, ex: session saved entire partition, desktop drive icon is /initrd/pup_rw.
 #110721 detect if have clicked on a close-box of mounted partition.
 #120110 running as fido, popup password box changes mouse pointer position, need read before run sudo.
 #120129 karl godt: fix ZOMBIES, see http://murga-linux.com/puppy/viewtopic.php?t=71767&start=420. see also rc.shutdown, pmount, pup_event_frontend_d.
+#120323 partial replace 'xmessage' with 'pupmessage'.
 
 [ ! -f /tmp/desktop_drives_curpos ] && getcurpos > /tmp/desktop_drives_curpos #120110
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 CURPOS="`cat /tmp/desktop_drives_curpos`" #120110
 rm -f /tmp/desktop_drives_curpos #120110
@@ -107,13 +108,13 @@
   umPATTERN="${MNTPT} "
   [ "`busybox mount | grep "$umPATTERN"`" = "" ] && umVAL=0
   if [ $umVAL -ne 0 ];then
    EXTRAMSG0="`fuser -v -m $MNTPT`"
    if [ "$EXTRAMSG0" = "" ];then
-    gxmessage -bg "#ff8080" -title "$m_50: ERROR" -center "$m_30"
+    pupmessage -bg "#ff8080" -title "$m_50: ERROR" -center "$m_30"
    else
-    gxmessage -bg "#ff99ff" -title "$m_01" -center -buttons "$m_31":10,"$m_32":20 "$m_33
+    xmessage -bg "#ff99ff" -title "$m_01" -center -buttons "$m_31":10,"$m_32":20 "$m_33
 $m_34
 $EXTRAMSG0
 
 $m_35
 $m_36
@@ -212,11 +213,11 @@
  echo "$DRV_CATEGORY" | grep '^cd' && DRV_CATEGORY="optical"
  [ "$MNTPT" = "" ] && [ "$DRV_CATEGORY" = "optical" ] && eject_cd /dev/$ONEDRVNAME
  [ "$MNTPT" = "" ] && exit #precaution.
  if [ "$MNTPT" = "/" -o "`echo "$MNTPT" | grep '/initrd/'`" != "" ];then
   eval m_51=\"$m_51\"
-  gxmessage -bg "#ff8080" -title "$m_50" -center "$m_51"
+  pupmessage -bg "#ff8080" -title "$m_50" -center "$m_51"
   exit
  fi
  unmount_func
  exit
 fi

Changes to woof-code/rootfs-skeleton/usr/local/petget/findnames.sh

@@ -5,10 +5,11 @@
 #  ENTRY1 is a string, to search for a package.
 #101129 checkboxes for show EXE DEV DOC NLS. fixed some search bugs.
 #110223 run message as separate process.
 #110530 ignore packages with different kernel version number, format -k2.6.32.28- in pkg name (also filterpkgs.sh)...
 #120203 BK: internationalized.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=petget___findnames.sh
 export OUTPUT_CHARSET=UTF-8
 
 . /etc/DISTRO_SPECS #has DISTRO_BINARY_COMPAT, DISTRO_COMPAT_VERSION
@@ -50,11 +51,11 @@
   mv -f /tmp/filterpkgs.resultsxxx /tmp/filterpkgs.results
  fi
 fi
 
 if [ "$FNDIT" = "no" ];then
- xmessage -bg red -center -title "$(getext 'PPM find')" "$(gettext 'Sorry, no matching package name')" & #110223 run as separate process.
+ pupmessage -bg red -center -title "$(getext 'PPM find')" "$(gettext 'Sorry, no matching package name')" & #110223 run as separate process.
 else
  #101129 postprocess, show EXE, DEV, DOC, NLS...
  DEF_CHK_EXE='true'
  DEF_CHK_DEV='false'
  DEF_CHK_DOC='false'

Changes to woof-code/rootfs-skeleton/usr/local/petget/petget

@@ -19,10 +19,11 @@
 #110505 support sudo for non-root user.
 #110523 support for rpm pkgs.
 #120101 01micko: jwm >=547 has -reload, no screen flicker.
 #120116 rev. 514 introduced icon rendering method which broke -reload at 547. fixed at rev. 574.
 #120203 BK: internationalized.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=petget___petget
 export OUTPUT_CHARSET=UTF-8
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
@@ -96,11 +97,11 @@
  download_file "$PASSEDPARAM"
  PKGPATH="`dirname "$PASSEDPARAM"`" #really a url.
  FULLPKGNAME="`basename "$PASSEDPARAM"`"
  PKGMAIN="`basename "$PASSEDPARAM" ${EXT}`"
  if [ ! -f "$FULLPKGNAME" ];then
-  xmessage -bg red "$(gettext 'Sorry, failed to download') $FULLPKGNAME"
+  pupmessage -bg red "$(gettext 'Sorry, failed to download') $FULLPKGNAME"
   exit
  fi
 else
  #get rid of any leading '+'...
  PASSEDPARAM="`echo -n "$PASSEDPARAM" | sed -e 's%^+%%'`"

Changes to woof-code/rootfs-skeleton/usr/local/petget/removepreview.sh

@@ -16,10 +16,11 @@
 #120101 01micko: jwm >=547 has -reload, no screen flicker.
 #120103 shinobar, bk: improve file deletion when older file in lower layer.
 #120107 rerwin: need quotes around some paths in case of space chars.
 #120116 rev. 514 introduced icon rendering method which broke -reload at 547. fixed at rev. 574.
 #120203 BK: internationalized.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=petget___removepreview.sh
 export OUTPUT_CHARSET=UTF-8
 
 . /etc/rc.d/PUPSTATE  #111228 this has PUPMODE and SAVE_LAYER.
@@ -124,11 +125,11 @@
  else
   WARNMSG="$(gettext 'Found more than 5 pkgs starting with') ${firstchar}.
 $(gettext 'The first 5 are')
 $possible5"
  fi
- xmessage -bg red "$(gettext 'WARNING:')
+ pupmessage -bg red "$(gettext 'WARNING:')
 $(gettext 'No file named') ${DB_pkgname}.files $(gettext 'found in')
 /root/.packages/ $(gettext 'folder.')
 
 $0
 $(gettext 'refusing cowardly to remove the package.')

Changes to woof-code/rootfs-skeleton/usr/local/simple_network_setup/sns

@@ -22,10 +22,11 @@
 #110203 improve scanning.
 #110505 support sudo for non-root user.
 #120107 gtkdialog3 to gtkdialog4, new 'Profile' frame in main window, new profiles help window.
 #120204 rodin.s: internationalized.
 #120222 small change to 'connect now' button.
+#120323 replace remaining 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=sns___sns
 export OUTPUT_CHARSET=UTF-8
 . gettext.sh
 
@@ -280,15 +281,15 @@
       [ $? -eq 0 ] && FLAGND="ok"
       [ "$FLAGND" != "ok" ] && rmmod ndiswrapper 2>/dev/null
      fi
     fi
     [ "$FLAGND" != "ok" ] && rm -rf /etc/ndiswrapper
-    [ "$FLAGND" != "ok" ] && xmessage -center -bg red "$(gettext 'ERROR: Windows driver does not seem to work, it has been uninstalled')"
+    [ "$FLAGND" != "ok" ] && pupmessage -center -bg red "$(gettext 'ERROR: Windows driver does not seem to work, it has been uninstalled')"
     [ "$FLAGND" == "ok" ] && sleep 1
    ;;
    *)
-    xmessage -center -bg red "`eval_gettext \"ERROR, \\\${INFFILE} is not a .inf file\"`"
+    pupmessage -center -bg red "`eval_gettext \"ERROR, \\\${INFFILE} is not a .inf file\"`"
    ;;
   esac
  fi
  exec sns
 fi

Changes to woof-code/rootfs-skeleton/usr/local/video_upgrade/video_upgrade_wizard

@@ -1,7 +1,8 @@
 #!/bin/sh
 #120204 rodin.s: internationalized.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=vidupgrd___video_upgrade_wizard
 export OUTPUT_CHARSET=UTF-8
 . gettext.sh
 
@@ -65,15 +66,15 @@
  PETPKG="`grep '|x_xorg76_mega_pkg|' /root/.packages/Packages-puppy-wary5-official | cut -f 8 -d '|'`"
  [ "$PETPKG" = "" ] && PETPKG="x_xorg76_mega_pkg-7.6-w5c.pet" #precaution.
  cd /root
  download_file http://distro.ibiblio.org/quirky/pet_packages-wary5/${PETPKG}
  if [ $? -ne 0 ];then
-  xmessage -bg pink -center "$(gettext 'Sorry, download failed')"
+  pupmessage -bg pink -center "$(gettext 'Sorry, download failed')"
  else
   petget /root/$PETPKG
   rm -f /root/$PETPKG
   PKGBASE="`basename $PETPKG .pet`"
   if [ ! -f /root/.packages/$PKGBASE.files ];then
-   xmessage -bg pink -center "$(gettext 'Sorry, something went wrong, package downloaded but is not installed')"
+   pupmessage -bg pink -center "$(gettext 'Sorry, something went wrong, package downloaded but is not installed')"
   fi
  fi
 fi

Changes to woof-code/rootfs-skeleton/usr/sbin/bcrypt_gui

@@ -5,19 +5,20 @@
 #also supports drag and drop.
 #most of this code was written by coolpup, I have just butchered it a bit.
 #w482 dogone: password must be 8 chars, logic fixed.
 #120201 rodin.s: internationalized.
 #120226 01micko: convert to gtkdialog4.
+#120323 call pupmessage instead of xmessage.
 
 export TEXTDOMAIN=bcrypt_gui
 export TEXTDOMAINDIR=/usr/share/locale
 export OUTPUT_CHARSET=UTF-8
 . gettext.sh
 export LANGORG=$LANG
 
 if [ "`which bcrypt`" = "" ];then
- xmessage -center -bg red "`gettext \"The 'bcrypt' package must be installed first.\"`"
+ pupmessage -center -bg red -title "$(gettext 'Bcrypt error')" "$(gettext "The 'bcrypt' package must be installed first.")"
  exit
 fi
 
 GTKDIALOGEXE="gtkdialog"
 [ "`which gtkdialog4`" ] && GTKDIALOGEXE="gtkdialog4"

Changes to woof-code/rootfs-skeleton/usr/sbin/bootflash

@@ -7,10 +7,11 @@
 #101026 .sfs was not getting copied off cd. various improvements.
 #110130 fix for ldlinux.sys deleted, see jinx100 http://murga-linux.com/puppy/viewtopic.php?t=63719&start=165
 #110505 support sudo for non-root user.
 #120201 rodin.s: internationalized.
 #120311 ComboFormat, 128M first partition not big enough for some puppies, change to 256M.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 export TEXTDOMAIN=bootflash
 export TEXTDOMAINDIR=/usr/share/locale
@@ -177,11 +178,11 @@
    SELECTIONS="${SELECTIONS}
 $ONEUSB \"${USBMEMTYPE}, ${USBINFO}, ${USBSIZE}\""
  done
  xSELECTIONS="`echo "$SELECTIONS" | tr '\n' ' ' | tr -s ' '`"
  if [ "$SELECTIONS" = "" ];then
-  xmessage -bg red -center -title "$(gettext 'ERROR')" "$(gettext 'No USB drive plugged in!')"
+  pupmessage -bg red -center -title "$(gettext 'ERROR')" "$(gettext 'No USB drive plugged in!')"
   exit
  fi
  CHOOSEDLG="Xdialog --wmclass \"gtkdialog2\" --title \"$(gettext 'BootFlash: choose drive')\" --no-cancel --stdout --menubox \"$(gettext 'Choose which drive to format:')\" 10 60 0 ${xSELECTIONS}"
  DRVSEL="`eval "$CHOOSEDLG"`"
  [ $? -ne 0 ] && exit
@@ -314,11 +315,11 @@
     FREEM=`df -m | grep "$mhPATTERN" | tr -s ' ' | cut -f 4 -d ' '`
    fi
   fi
   if [ $FREEM -lt 300 ];then
    kill $X1PID
-   xmessage -title "$(gettext 'ERROR')" "$(gettext 'SORRY, cannot find 256MB free working space!')"
+   pupmessage -bg red -title "$(gettext 'ERROR')" "$(gettext 'SORRY, cannot find 256MB free working space!')"
    exit
   fi
 
   if [ "$RADIO_ISO" = "true" ];then
    #need puppy.iso to copy to usb drive...
@@ -439,18 +440,18 @@
 yaf-splash -close never -bg orange -text "$(gettext 'Please wait, copying files from .iso file...')" &
 X1PID=$!
 mkdir -p /tmp/bootflash_iso
 mount -t iso9660 -o loop ${SRCFPATH} /tmp/bootflash_iso
 if [ $? -ne 0 -o ! -f /tmp/bootflash_iso/initrd.gz ];then
- xmessage -bg red -center -title "$(gettext 'ERROR')" "$(gettext 'Sorry error accessing .iso file')"
+ pupmessage -bg red -center -title "$(gettext 'ERROR')" "$(gettext 'Sorry error accessing .iso file')"
  exit
 fi
 
 mkdir -p /mnt/${PUPBOOTPART}
 mount -t vfat /dev/${PUPBOOTPART} /mnt/${PUPBOOTPART}
 if [ "`mount | grep "/dev/${PUPBOOTPART}"`" = "" ];then
- xmessage -bg red -center -title "$(gettext 'ERROR')" "$(gettext 'Sorry error mounting USB drive')"
+ pupmessage -bg red -center -title "$(gettext 'ERROR')" "$(gettext 'Sorry error mounting USB drive')"
  exit
 fi
 
 rm -f /mnt/${PUPBOOTPART}/*-[0-9][0-9][0-9].sfs 2>/dev/null
 rm -f /mnt/${PUPBOOTPART}/*_[0-9][0-9][0-9].sfs 2>/dev/null #101026

Changes to woof-code/rootfs-skeleton/usr/sbin/bootmanager

@@ -37,10 +37,11 @@
 #110505 support sudo for non-root user.
 #111011 now using pupdialog instead of Xdialog for sfs chooser.
 #111015 support kernel 3.x.
 #111113 roll back to Xdialog for sfs chooser. pupdialog limited items, some people have 100s sfs's.
 #120201 rodin.s: internationalized.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 export TEXTDOMAIN=bootmanager
 export OUTPUT_CHARSET=UTF-8
@@ -85,11 +86,11 @@
 DEFAULT_FAST="false"
 [ "$BYPASSSERIALPROBING" = "yes" ] && DEFAULT_SERIAL="true"
 [ "$FASTBOOTMODULESLIST" != "" ] && DEFAULT_FAST="true"
 
 if [ "$PUPMODE" = "5" ];then
- xmessage "$(gettext 'ERROR. Must shutdown and create a personal save file first.')"
+ pupmessage -bg '#FF8080' -title "$(gettext 'BootManager error')" "$(gettext 'You must shutdown and create a personal save file first.')"
  exit
 fi
 
 xEXTRASFSMNTPTx="" #100711
 if [ "$PUP_HOME" = "" ];then #defined in PUPSTATE.
@@ -210,11 +211,11 @@
   DLGLIST="$DLGLIST $ONESFS $ONESFS on"
  done
 
  #v423 let user know wrong sfs's...
  if [ -e /tmp/bootmanager_wrong_sfs_version ];then
-  xmessage -bg '#FFC0C0' "`eval_gettext \"NOTICE: The following SFS files located in directory \\\${MSGz}
+  pupmessage -bg '#FFC0C0' "`eval_gettext \"NOTICE: The following SFS files located in directory \\\${MSGz}
 are the wrong version for the current Linux kernel:\"`
 
 `cat /tmp/bootmanager_wrong_sfs_version`
 
 `eval_gettext \"The above files will be ignored.
@@ -222,11 +223,11 @@
 Note, there is an SFS-version-converter in the Utility menu.\"`" &
  fi
 
  if [ "$DLGLIST" = "" ];then
   [ "$CLPARAM2" = "quiet" ] && return 1
-  xmessage -center -bg '#FFC0C0' "`eval_gettext \"Sorry, there are no SFS files in directory \\\$MSGz
+  pupmessage -center -bg '#FFC0C0' "`eval_gettext \"Sorry, there are no SFS files in directory \\\$MSGz
 (or they all have the wrong '*_nnn.sfs' version number)
 You will need to download and place one there first.\"`"
   return 1
  fi
 
@@ -444,17 +445,17 @@
   OSDDIR="`grep "$OSDVAR" /tmp/bootmanager_osd | cut -f 2 -d '|'`"
   OSDNAME="`grep "$OSDVAR" /tmp/bootmanager_osd | cut -f 3 -d '|'`"
   if [ "$OSDNAME" = "udev" ];then
    if [ "`echo "$RETSTRING" | grep "$OSDVAR" | grep 'true'`" != "" ];then
     if [ "`grep '^BACKENDON' /etc/eventmanager | grep 'false'`" != "" ];then
-     xmessage -center -bg orange "`gettext \"The EventManager will now be run, so that you can enable 'udev'.
+     pupmessage -center -bg orange "`gettext \"The EventManager will now be run, so that you can enable 'udev'.
 You will need to tick the 'hotplug module/firmware loading' checkbox...\"`"
      eventmanager &
     fi
    else
     if [ "`grep '^BACKENDON' /etc/eventmanager | grep 'true'`" != "" ];then
-     xmessage -center -bg orange "`gettext \"The EventManager will now be run, so that you can disable 'udev'.
+     pupmessage -center -bg orange "`gettext \"The EventManager will now be run, so that you can disable 'udev'.
 You will need to untick the 'hotplug module/firmware loading' checkbox...\"`"
      eventmanager &
     fi
    fi
   fi

Changes to woof-code/rootfs-skeleton/usr/sbin/burniso2cd

@@ -7,10 +7,11 @@
 #w482 change -pad to padsize=300k, recommended by xorriso developer.
 #w482 migrate to using xorriso.
 #v431 rerwin: Add wait for drive lights to stop flashing before verifying and log the verify dd messages.
 #110205 previous probedisk script removed.
 #120201 rodin.s: internationalized.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=burniso2cd
 export TEXTDOMAINDIR=/usr/share/locale
 export OUTPUT_CHARSET=UTF-8
 eval_gettext () {
@@ -30,11 +31,11 @@
 
 SELECTIONS="`probedisk2 | grep '|optical|' | grep '/dev/' | cut -f 1,3 -d '|' | tr " " '_' | tr -s '_'`" #110205
 SELECTIONX="`echo "$SELECTIONS" | tr '|' " " | tr "\n" " "`"
 
 if [ "$SELECTIONX" = "" ];then
- xmessage "$(gettext 'Sorry, no CD/DVD drive detected')"
+ pupmessage -bg '#FF8080' "$(gettext 'Sorry, no CD/DVD drive detected')"
  exit
 fi
 
 BURNERDRIVE="`Xdialog --wmclass "mini-cd" --title "$(gettext 'Burniso2cd: Choose burner drive')" --stdout --menubox "$(gettext 'Choose the CD/DVD drive to burn to')" 400x200 5 $SELECTIONX 2> /dev/null`"
 [ ! $? -eq 0 ] && exit
@@ -48,11 +49,11 @@
 
 CDR="$BURNERDRIVE"
 CDDESCR="`echo "$SELECTIONS" | grep "$CDR" | cut -f 2 -d '|'`"
 
 while [ ! "`mount | grep "$CDR"`" = "" ];do
- xmessage -bg "#ff8080" -center -name "burniso2cd" -title "Burniso2cd: ERROR" "The $CDR CD/DVD drive, described as:
+ pupmessage -bg "#ff8080" -center -name "burniso2cd" -title "Burniso2cd: ERROR" "The $CDR CD/DVD drive, described as:
  $CDDESCR
 is currently mounted.
 Use MUT or Pmount to unmount it.
 
 Please unmount CD drive, then click OK button..."
@@ -138,18 +139,18 @@
  DEVNAME="`echo -n "$CDR" | grep '/dev' | cut -f 3 -d '/'`"
  if [ ! "$DEVNAME" = "" -a "$RECHECK" = "yes" ];then
   Xdialog --wmclass "mini-cd" --title "$(gettext 'Burniso2cd: Finished')" --stdout --yesno "$(gettext 'Would you like to verify that the burn was successful?
 This may take a while depending on the size of the iso file.')" 0 0
   if  [ "$?" = "0" ] ;then
-   xmessage -bg "#80ff80" -center -name "burniso2cd" -title "$(gettext 'Burniso2cd: Burn Verify')" -buttons "OKAY:10" "$(gettext 'Make sure the CD/DVD drive is closed,
+   pupmessage -bg "#80ff80" -center -name "burniso2cd" -title "$(gettext 'Burniso2cd: Burn Verify')" "$(gettext 'Make sure the CD/DVD drive is closed,
 then click OK')"
    echo "Waiting 15 seconds to allow drive lights to finish blinking" > /tmp/burniso2cd.log #v431
    sleep 15 #v431
    if [ "$( md5sum $ISOFILE | cut -f 1 -d " " )" = "$(dd if=$CDR 2>> /tmp/burniso2cd.log | head -c `stat --format=%s $ISOFILE` | md5sum | cut -f 1 -d " " )" ] ;then #v431
-    xmessage -bg "#80ff80" -center -name "burniso2cd" -title "$(gettext 'Burniso2cd: Burn Verify')" -buttons "OKAY:10" "$(gettext 'The burn has been verified as good!')"
+    pupmessage -bg "#80ff80" -center -name "burniso2cd" -title "$(gettext 'Burniso2cd: Burn Verify')" "$(gettext 'The burn has been verified as good!')"
    else
-    xmessage -bg "#ffc0c0" -center -name "burniso2cd" -title "$(gettext 'Burniso2cd: Burn Verify')" -buttons "OKAY:10" "$(gettext 'The burn was not verified. See details in /tmp/burniso2cd.log. You should start over.')"
+    pupmessage -bg "#ffc0c0" -center -name "burniso2cd" -title "$(gettext 'Burniso2cd: Burn Verify')" "$(gettext 'The burn was not verified. See details in /tmp/burniso2cd.log. You should start over.')"
    fi
   else
    RECHECK="no" #do not check if doing repeat burns.
   fi
  fi

Changes to woof-code/rootfs-skeleton/usr/sbin/cdburner-wizard

@@ -3,10 +3,11 @@
 #Barry Kauler (c) copyright 2003,2004,2005
 #Lesser GPL licence v2 (http://www.fsf.org/licensing/licenses/lgpl.html). 2007 www.puppylinux.com
 #updated for v1.0.5
 #updated for 2.17
 #v431 man, this script is ancient! have done some fixing.
+#120323 partial replace 'xmessage' with 'pupmessage'.
 
 DRIVESFND="`probedisk2`"
 OPTICALDRVSFND="`echo "$DRIVESFND" | grep '|optical|'`"
 
 SELECTIONS="`echo "$OPTICALDRVSFND" | cut -f 1,3 -d "|" | tr " " "_" | tr "|" " " | tr '$' "_"`"
@@ -85,11 +86,11 @@
  fi
 fi
 
 
 if [ $XREPLY -eq 15 ];then #help
- xmessage -bg "purple" -center -name "burnwiz" -title "CD/DVD driver Wizard: HELP" "/dev/dvd and /dev/cdrom are links to the actual devices, for example, a link
+ pupmessage -bg "purple" -center -name "burnwiz" -title "CD/DVD driver Wizard: HELP" "/dev/dvd and /dev/cdrom are links to the actual devices, for example, a link
 to /dev/sdc. These should point to the drives that you want to read from.
 For example, my PC has two drives, a DVD read-only drive and a CD-burner
 drive. I point *both* /dev/dvd and /dev/cdrom to the DVD drive, although I
 could have pointed /dev/cdrom to the burner drive (a DVD drive can also read
 CDs, so I chose it as my default for reading both CDs and DVDs).

Changes to woof-code/rootfs-skeleton/usr/sbin/filemnt

@@ -10,10 +10,11 @@
 #111110 handle encrypted save-files.
 #111112 small fixes.
 #120201 rodin.s: internationalization.
 #120220 npierce: improved test and message for already mounted file, also prevent mkdir if file not found, and fix adding pwd prefix
 #120220 npierce: add slash to pwd prefix; exit on failed stat. refer: http://murga-linux.com/puppy/viewtopic.php?t=71767&start=450
+#120323 replace 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=filemnt
 export OUTPUT_CHARSET=UTF-8
 . gettext.sh
 
@@ -79,11 +80,11 @@
    [ "`echo $MNTDIMG_MNT_PT | cut -f 2 -d /`" = "initrd" ] && MNTDIMG="/initrd"
    MNTDIMG="${MNTDIMG}`losetup-FULL $ONELOOP | cut -f 2 -d '(' | cut -f 1 -d ')'`"
    MNTDIMG_DEV_INODE="`stat -L -c "%d_%i" "$MNTDIMG"`"             #120220
    #not perfect, but paths may be symlinks...
    if [ "$MNTDIMG_DEV_INODE" = "$imgFileDEV_INODE" ];then          #120220...
-    xmessage "Sorry $imgFile is already mounted and in-use by Puppy
+    pupmessage -bg '#FF8080' "Sorry $imgFile is already mounted and in-use by Puppy
 on $MNTDIMG_MNT_PT from $MNTDIMG"    #120220
      exit
     fi
   done
 
@@ -107,16 +108,16 @@
 
   #v423 detect wrong squashfs version...
   if [ "$Type" = "squashfs" ];then
    if [ "`disktype "${imgFile}" | grep "$SFSSTR"`" = "" ];then
     if [ $SFSMAJOR -eq 4 ];then #100606
-     xmessage -center -bg '#FFC0C0' "`gettext \"NOTICE: This is an older version 3.x squashfs file, not usable.
+     pupmessage -center -bg '#FFC0C0' "`gettext \"NOTICE: This is an older version 3.x squashfs file, not usable.
 All Linux kernels 2.6.29 or later require version 4.x squashfs files
 (note, some 2.6.27.47+ kernels have Squashfs4 backported to them).
 Note, there is an SFS-version-converter in the Utility menu, run that first.\"`"
     else
-     xmessage -center -bg '#FFC0C0' "`gettext \"NOTICE: This is a newer version 4.x squashfs file, not usable.
+     pupmessage -center -bg '#FFC0C0' "`gettext \"NOTICE: This is a newer version 4.x squashfs file, not usable.
 All Linux kernels 2.6.28 or earlier require version 3.x squashfs files
 (note, an exception is some 2.6.27.47+ kernels that have Squashfs4 backported).
 Note, there is an SFS-version-converter in the Utility menu, run that first.\"`"
     fi
     exit

Changes to woof-code/rootfs-skeleton/usr/sbin/grubconfig

@@ -1,9 +1,10 @@
 #!/bin/sh
 #Badly hacked by Barry Kauler 2005,2006,2007 for Puppy Linux, www.puppylinux.com
 #v423 kirk: add ext4 support.
 #v424 BK: bugfixes. fix accidental wiping partition!
+#120323 replace 'xmessage' with 'pupmessage'.
 
 #BK...
 export XDIALOG_HIGH_DIALOG_COMPAT=true
 #all incidents of 'dialog' replaced by 'Xdialog' below...
 BKPASSED_DEVICE="$1"
@@ -69,11 +70,11 @@
   sync
   umount $BOOT_TMP
  fi
  if [ "`mount | grep "$btPATTERN"`" != "" ];then
   btPART="`mount | grep "$btPATTERN" | cut -f 1 -d ' '`"
-  xmessage -bg red -center "ERROR: could not unmount partition ${btPART} mounted on ${BOOT_TMP}"
+  pupmessage -bg red -center "ERROR: could not unmount partition ${btPART} mounted on ${BOOT_TMP}"
   exit
  fi
 }
 
 rm -rf $TMP

Changes to woof-code/rootfs-skeleton/usr/sbin/ipinfo

@@ -1,10 +1,11 @@
 #!/bin/bash
 # AUTHOR: Vovchik
 # PURPOSE: GUI to show IP config info
 # DATE: 14 May 2009
 #120201 BK: internationalized.
+#120323 replace 'xmessage' with 'yaf-splash'.
 
 export TEXTDOMAIN=ipinfo
 export OUTPUT_CHARSET=UTF-8
 
 # --------------
@@ -121,11 +122,12 @@
 
 # --------------
 # main
 # --------------
 
-xmessage -buttons "" -center -bg orange "$(gettext 'Please wait, probing...')" &
+#xmessage -buttons "" -center -bg orange "$(gettext 'Please wait, probing...')" &
+yaf-splash -close never -bg orange -text "$(gettext 'Please wait, probing...')" &
 XPID=$!
 get_data
 show_data
 make_gui
 kill $XPID

Changes to woof-code/rootfs-skeleton/usr/sbin/loginmanager

@@ -1,8 +1,9 @@
 #!/bin/sh
 #110507 TaZOC bug fix.
 #120201 rodin.s: internationalized.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=loginmanager
 export TEXTDOMAINDIR=/usr/share/locale
 export OUTPUT_CHARSET=UTF-8
 
@@ -53,13 +54,13 @@
 
 #if [ "$CHANGE2ROOT" != "" ];then
  if [ "$CHECKADMIN" = "true" ];then
   echo "$ADMINPASSWORD" | su root
   if [ $? -ne 0 ];then
-   xmessage -bg red -center "$(gettext 'Sorry, admin password is wrong')"
+   pupmessage -bg red -title "$(gettext 'LoginManager: error')" -center "$(gettext 'Sorry, admin password is wrong')"
    exit
   fi
   rootEXPR="s%^tty1.*%tty1::respawn:/sbin/mingetty --autologin root tty1%"
   sed -i -e "$rootEXPR" /etc/inittab #110507 TaZOC bug fix.
-  xmessage -bg green -center "$(gettext 'Ok, you will be administrator at next boot')"
+  pupmessage -bg green -center -title "$(gettext 'Login Manager: OK')" "$(gettext 'Ok, you will be administrator at next boot')"
  fi
 #fi

Changes to woof-code/rootfs-skeleton/usr/sbin/pmount

@@ -32,10 +32,11 @@
 #110505 support sudo for non-root user.
 #110720 should not open a layer inside aufs, ex: session saved entire partition, desktop drive icon is /initrd/pup_rw.
 #110814 01micko: convert script from gtkdialog2 to gtkdialog3+.
 #120203 preferences was broken.
 #120129 karl godt: fix ZOMBIES, see http://murga-linux.com/puppy/viewtopic.php?t=71767&start=420. see also rc.shutdown, drive_all, pup_event_frontend_d.
+#120323 partial replace 'gxmessage' with 'pupmessage'.
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 #using ${$} which is pid of script...
 MYPID=${$}
@@ -515,11 +516,11 @@
   fi
   #v3.95 -x option to rescan...
   exec rox -x /mnt/$DEVNAME -d /mnt/$DEVNAME #want this window on top.
  else
   eval m_22=\"$m_22\"
-  gxmessage -bg red -center -title "$m_01" "$m_22"
+  pupmessage -bg red -center -title "$m_01" "$m_22"
   exec /usr/sbin/$PMOUNT $TOPACTUAL
  fi
 fi
 
 if [ "`echo -n "$EXIT" | grep 'UNMOUNT'`" != "" ];then
@@ -548,11 +549,11 @@
  umPATTERN="${MNTPT} "
  [ "`mount | grep "$umPATTERN"`" = "" ] && umVAL=0
  if [ $umVAL -ne 0 ];then
   EXTRAMSG0="`fuser -v -m $MNTPT`"
   if [ "$EXTRAMSG0" = "" ];then
-   gxmessage -bg "#ff8080" -title "$m_01" -center "$m_30"
+   pupmessage -bg "#ff8080" -title "$m_01" -center "$m_30"
   else
    gxmessage -wrap -bg "#ff99ff" -title "$m_01" -center -buttons "$m_31":10,"$m_32":20 "$m_33
 $m_34
 $EXTRAMSG0
 

Changes to woof-code/rootfs-skeleton/usr/sbin/puppyinstaller

@@ -43,10 +43,11 @@
 #110814 convert script from gtkdialog2 to gtkdialog3+.
 #111011 bump to gtkdialog4. small fixes.
 #120126 jemimah: clear SELECTIONS variable, add ntfs exclusion.
 #120202 rodin.s: internationalized
 #120310 npierce: fix some grep operations.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 export TEXTDOMAIN=puppyinstaller
 export OUTPUT_CHARSET=UTF-8
@@ -141,11 +142,11 @@
 
 gpartedfixfunc() { #params: $DRVSEL
  GPDRV="$1"
  gparted /dev/$GPDRV &
  sleep 2
- xmessage -bg '#ba55d3' -center -title "$(gettext 'Puppy Universal Installer')" "$(gettext 'GParted is a partition manager, available in Puppy, a very simple tool
+ pupmessage -bg '#ba55d3' -center -title "$(gettext 'Puppy Universal Installer')" "$(gettext 'GParted is a partition manager, available in Puppy, a very simple tool
 for deleting, creating and resizing partitions.')
 
 `eval_gettext \"Regarding 'ntfs' or 'vfat', of course do not change these to ext2 or ext3 if the
 partition has Windows or DOS installed on it! In the case of USB Flash drives,
 these normally come with a 'fat16' partition which is okay, but you will be
@@ -180,11 +181,11 @@
  MSGID=$!
  while [ 1 ];do
   [ "`pidof gparted`" = "" ] && break #v424
   sleep 1
  done
- [ ! "`which gparted`" = "" ] && kill $MSGID 2>/dev/null
+ [ ! "`which gparted`" = "" ] && pupkill $MSGID 2>/dev/null
  #w015 need to refresh desktop drive icons(s)...
  #/tmp/pup_event_frontend_block_request is used in /sbin/pup_event_frontend_d to refresh drv...
  sync
  echo "$GPDRV" > /tmp/pup_event_frontend_block_request
 }
@@ -390,11 +391,11 @@
    HDSIZE="`disktype /dev/$ONEHD | grep "Block device" | cut -f 2 -d ',' | tr -s " " | cut -f 1-4 -d " "`"
    SELECTIONS="${SELECTIONS} $ONEHD \"${HDINFO}, ${HDSIZE}\""
   done
  ;;
  *)
-  xmessage "$(gettext 'Not yet implemented')"
+  pupmessage -bg '#FF8080' "$(gettext 'Not yet implemented')"
   exit
  ;;
 esac
 
 if [ "$SELECTIONS" = "" ];then
@@ -1129,11 +1130,11 @@
 ' > /tmp/installpup.sh
     chmod 755 /tmp/installpup.sh
     rxvt -bg "orange" -title "$(gettext 'Puppy Universal Installer')" -geometry 80x10 -e /tmp/installpup.sh $DESTPART $SRCPATH $FINALPMEDIA $DESTFS $DISTRO_FILE_PREFIX $DISTRO_PUPPYSFS $DISTRO_ZDRVSFS #$DISTRO_DEVXSFS
     ;;
    *)
-    xmessage "`eval_gettext \"Your \\\$DESTPART has a \\\$DESTFS filesystem. Currently only install
+    pupmessage -bg '#FF8080' "`eval_gettext \"Your \\\$DESTPART has a \\\$DESTFS filesystem. Currently only install
 to external vfat (FAT16/32) or ext2/ext3 filesystems is supported.
 Click OK to quit...\"`"
     exit
     ;;
   esac
@@ -1694,13 +1695,13 @@
   done
 
   umount /mnt/$DESTPART 2> /dev/null
   ;;
  atacd|scsicd|usbcd)
-  xmessage "$(gettext 'not yet implemented')"
+  pupmessage -bg '#FF8080' "$(gettext 'not yet implemented')"
   #TO DO
   ;;
 esac
 
 unmountcdfunc
 
 ###END###

Changes to woof-code/rootfs-skeleton/usr/sbin/remasterpup2

@@ -35,10 +35,11 @@
 #101020 no longer have /etc/modprobe.conf.
 #101107 bug fix from zygo.
 #110505 support sudo for non-root user.
 #110722 tweak sort.
 #110808 PANZERKOPF: bug fix. 110822 reverted.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 # remasterpup2.mo
 m_01="Puppy simple CD remaster"
@@ -240,11 +241,11 @@
 [ "$PUP_LAYER" = "" ] && PUP_LAYER="/pup_ro2"
 
 . /etc/DISTRO_SPECS
 if [ ! "$DISTRO_IDSTRING" ];then #101107
   #need some stuff in here if want to support older puppies. maybe also more fixes needed further down.
- xmessage -bg red -center "Sorry, your Puppy is too old for this script"
+ pupmessage -bg red -title "RemasterPup" -center "Sorry, your Puppy is too old for this script"
  exit
 else
  PUPPYSFS="$DISTRO_PUPPYSFS" #ex: puppy.sfs
  ZDRVSFS="$DISTRO_ZDRVSFS"   #ex: zdrv.sfs
  #DEVXSFS="$DISTRO_DEVXSFS"   #ex: devx.sfs

Changes to woof-code/rootfs-skeleton/usr/sbin/resizepfile.sh

@@ -3,10 +3,11 @@
 #make the pup_save.2fs file bigger.
 #v412 /etc/DISTRO_SPECS, renamed pup_xxx.sfs, pup_save.2fs etc.
 #v555 pup files renamed to woofr555.sfs, woofsave.2fs.
 #100913 simplified filenames, minor update of comments.
 #120202 rodin.s: internationalized.
+#120323 partial replace 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=resizepfile.sh
 export TEXTDOMAINDIR=/usr/share/locale
 export OUTPUT_CHARSET=UTF-8
 eval_gettext () {
@@ -30,11 +31,11 @@
   CANDOIT="yes"
   ;;
 esac
 
  if [ "$CANDOIT" != "yes" ];then
-  xmessage -center -bg "#ffc0c0" -title "$(gettext 'Resize personal storage file: ERROR')" "$(gettext 'Sorry, Puppy is not currently using a personal persistent')
+  pupmessage -center -bg "#ffc0c0" -title "$(gettext 'Resize personal storage file: ERROR')" "$(gettext 'Sorry, Puppy is not currently using a personal persistent')
 $(gettext 'storage file. If this is the first time that you booted')
 $(gettext 'Puppy, say from a live-CD, you are currently running')
 $(gettext 'totally in RAM and you will be asked to create a personal')
 $(gettext 'storage file when you end the session (shutdown the PC or')
 `eval_gettext \"reboot). Note, the file will be named \\\${DISTRO_FILE_PREFIX}save.2fs and\"`
@@ -125,11 +126,11 @@
    ;;
 esac
 
 echo -n "$KILOBIG" > /initrd${PUP_HOME}/pupsaveresize.txt
 
-xmessage -center -bg "orange" -title "$(gettext 'Resize personal storage file')" "`eval_gettext \"Okay, you have chosen to increase \\\$NAMEPFILE by \\\$KILOBIG Kbytes,\"`
+pupmessage -center -bg "orange" -title "$(gettext 'Resize personal storage file')" "`eval_gettext \"Okay, you have chosen to increase \\\$NAMEPFILE by \\\$KILOBIG Kbytes,\"`
 $(gettext 'however as the file is currently in use, it will happen at reboot.')
 
 $(gettext 'Technical notes:')
 $(gettext 'The required size increase has been written to file pupsaveresize.txt,')
 `eval_gettext \"in partition \\\$SAVEPART (currently mounted on /mnt/home).\"`

Changes to woof-code/rootfs-skeleton/usr/sbin/savesession-dvd

@@ -5,10 +5,11 @@
 #BK updated v2.22, sync with rc.shutdown multisession bugfix.
 #v3.01: BK 11 oct 2007, removed multisavefunc() to /etc/rc.d/functions4puppy.
 #v412 /etc/DISTRO_SPECS, renamed pup_xxx.sfs, pup_save.2fs etc.
 #v555 pup files renamed to woofr555.sfs, woofsave.2fs.
 #w482 use xorriso instead of cdrtools/cdrkit if installed.
+#120323 partial replace 'xmessage' with 'pupmessage'.
 
 #/etc/rc.d/rc.shutdown saves session at shutdown, savesession-dvd is called
 #from desktop icon to do an immediate save to multisession-cd.
 
 #w482 use xorriso if it is installed (see also functions4puppy)...
@@ -49,15 +50,15 @@
  exit
 fi
 
 
 if [ "$PUPMODE" != "77" ];then
- xmessage -bg "indian red" -center -title "SaveSession-DVD" "Sorry, this is not a multisession live-CD/DVD"
+ pupmessage -bg "red" -center -title "SaveSession-DVD" "Sorry, this is not a multisession live-CD/DVD"
  exit
 fi
 if [ "$CDR" = "" ];then
- xmessage -bg "indian red" -center -title "SaveSession-DVD" "Sorry, this is not a multisession live-CD/DVD"
+ pupmessage -bg "red" -center -title "SaveSession-DVD" "Sorry, this is not a multisession live-CD/DVD"
  exit
 fi
 
 
 #before can save a session back to DVD, have to be sure that DVD is unmounted...
@@ -66,11 +67,11 @@
  echo "Unmounting $CDR..."
  fuser -k -m $CDR
  sync
  umount $CDR
  if [ ! $? -eq 0 ];then
-  xmessage -bg "indian red" -center -title "SaveSession: ERROR" "Sorry, $CDR is currently mounted and cannot be automatically
+  pupmessage -bg "red" -center -title "SaveSession: ERROR" "Sorry, $CDR is currently mounted and cannot be automatically
 unmounted. You will need to unmount it manually.
 
 Click OK button to quit..."
   exit
  fi

Changes to woof-code/rootfs-skeleton/usr/sbin/sfsget

@@ -8,10 +8,11 @@
 #110813 bug fix, sfs file has '_' in name.
 #120202 BK: internationalized.
 #120204 more gettext.
 #120224 bugfix for racy.
 #120224 add slacko support.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 export TEXTDOMAIN=sfsget
 export OUTPUT_CHARSET=UTF-8
 
 SFS_FILE=''; SFS_DIR=''
@@ -193,11 +194,11 @@
   mkdir -p /mnt/${DEVNODE}
   REGEXe="/dev/${DLPART}|"
   DLFS="`echo "$DLPARTS" | grep "$REGEXe" | cut -f 2 -d '|'`"
   mount -t $DLFS /dev/$DEVNODE /mnt/$DEVNODE
   if [ $? -ne 0 ];then
-   xmessage -bg red -center "$(gettext 'ERROR: Could not mount') /dev/${DEVNODE}, $(gettext 'aborting')"
+   pupmessage -bg red -center "$(gettext 'ERROR: Could not mount') /dev/${DEVNODE}, $(gettext 'aborting')"
    exit 1
   fi
   DLMOUNT="/mnt/$DEVNODE"
  fi
  cd $DLMOUNT

Changes to woof-code/rootfs-skeleton/usr/sbin/shutdownconfig

@@ -15,10 +15,11 @@
 #110924 various tweaks. fix default partition highlight.
 #110925 L18L: i18n conversion, please see /usr/share/doc/nls/shutdownconfig. 110926 BK minor tweaks. 110928 missing \\\. 111003 syntax error.
 #111012 a pupdialog window had wrong text, needed different from non-X dialog.
 #111015 typo.
 #111110 need to export CRYPTO in /tmp/shutdownconfig_results, for rc.shutdown.
+#120323 replace 'xmessage' with 'pupmessage'.
 
 if [ ! $DISPLAY ];then
  export LANG=C #110928 console shutdown using 'dialog', disable i18n.
 else
  export OUTPUT_CHARSET=UTF-8
@@ -692,11 +693,11 @@
       cp -f $ONESFS $SMNTPT/
       sync
      else
       T_cantcopy="`eval_gettext \"Insufficient space! Cannot copy \\\${BASESFS}\"`"
       echo "$T_cantcopy" >/dev/console
-      [ $DISPLAY ] && xmessage -bg red -center "$T_cantcopy"
+      [ $DISPLAY ] && pupmessage -bg red -center "$T_cantcopy"
       break
      fi
     done
     busybox umount $CDMNTPT
     pupkill $cPID

Changes to woof-code/rootfs-skeleton/usr/sbin/xdelta_gui

@@ -9,23 +9,25 @@
 #  # xdelta_gui oldfile newfile       <<script will generate .delta file
 #  # xdelta_gui oldfile genfile.delta <<recreate oldfile
 #...first ex, .delta has old/new files encoded into its own filename.
 #100131 altenate delta file format "oldfile___newfile.delta" (three underscores).
 #120312 rodin.s: adding gettext.
+#120323 replace 'xmessage' with 'pupmessage' and 'yaf-splash'.
 
 export TEXTDOMAIN=xdelta_gui
 export OUTPUT_CHARSET=UTF-8
 . gettext.sh
 
 if [ "`which xdelta3`" = "" ];then
- xmessage -center -bg red "`gettext \"The 'xdelta' package must be installed first\"`"
+ pupmessage -center -bg red "`gettext \"The 'xdelta' package must be installed first\"`"
  exit
 fi
 
 old_find_func () {
  #needs OLDFILENAME, sets SOURCEFILE_OLD.
-	 xmessage -bg orange -center -buttons "" "$(gettext 'Please wait, searching for old file...')" &
+	 #xmessage -bg orange -center -buttons "" "$(gettext 'Please wait, searching for old file...')" &
+	 yaf-splash -bg orange -close never -text "$(gettext 'Please wait, searching for old file...')" &
 	 XPID=$!
 	 SOURCEFILE_OLD="`find /root -maxdepth 4 -type f -name ${OLDFILENAME} | head -n 1`"
 	 if [ "$SOURCEFILE_OLD" = "" ];then
       #SOURCEFILE_OLD="`find /mnt/home -maxdepth 4 -type f -name ${OLDFILENAME} | head -n 1`"
 	  for ONEMNTD in `mount | grep '^/dev/sd[a-z]' | cut -f 3 -d ' ' | tr '\n' ' '`
@@ -34,11 +36,11 @@
 	   [ "$SOURCEFILE_OLD" != "" ] && break
 	  done
 	 fi
 	 kill $XPID
      if [ "$SOURCEFILE_OLD" = "" ];then
-      xmessage -bg yellow -center "`eval_gettext \"Sorry could not find \\\${OLDFILENAME}. You will have to manually drag it into the 'Old file' box\"`"
+      pupmessage -bg yellow -center "`eval_gettext \"Sorry could not find \\\${OLDFILENAME}. You will have to manually drag it into the 'Old file' box\"`"
      fi
 }
 
 SOURCEFILE_OLD=""
 SOURCEFILE_NEW=""
@@ -45,11 +47,11 @@
 SOURCEFILE_DELTA=""
 SOURCEFILE_2ND=""
 if [ $1 ];then
  SOURCEFILE="$1"
  if [ ! -f "$SOURCEFILE" ];then
-  xmessage -center -bg red "`eval_gettext \"ERROR: \\\${SOURCEFILE} does not exist\"`"
+  pupmessage -center -bg red "`eval_gettext \"ERROR: \\\${SOURCEFILE} does not exist\"`"
   exit
  fi
  if [ "`echo -n "${SOURCEFILE}" | grep '\.delta$'`" = "" ];then
   SOURCEFILE_OLD="$SOURCEFILE"
  else
@@ -169,11 +171,11 @@
 fi
 
 if [ "$SOURCEFILE_NEW" != "" ];then
  [ ! -f "$SOURCEFILE_NEW" ] && EXITERR="yes"
  if [ "$EXITERR" != "" ];then
-  xmessage -bg red -center "`gettext \"Error, 'New file' does not exist\"`"
+  pupmessage -bg red -center "`gettext \"Error, 'New file' does not exist\"`"
   exit
  fi
 fi
 
 if [ "$SOURCEFILE_DELTA" != "" -a "$SOURCEFILE_OLD" = "" ];then
@@ -206,11 +208,11 @@
 fi
 
 [ "$SOURCEFILE_OLD" = "" ] && EXITERR="yes"
 [ ! -f "$SOURCEFILE_OLD" ] && EXITERR="yes"
 if [ "$EXITERR" != "" ];then
- xmessage -bg red -center "`gettext \"Error, 'Old file' does not exist\"`"
+ pupmessage -bg red -center "`gettext \"Error, 'Old file' does not exist\"`"
  exit
 fi
 
 OLDEXT="`echo -n "$SOURCEFILE_OLD" | rev | cut -f 1 -d '.' | rev`"
 if [ "$SOURCEFILE_DELTA" != "" ];then
@@ -225,20 +227,21 @@
  if [ "`echo -n "$BASEDELTA" | grep '___'`" != "" ];then
   NEWFILENAME="`echo -n "$BASEDELTA" | grep '___' | sed -e 's%^.*___%%' | rev | cut -f 2-9 -d '.' | rev`"
   [ "$NEWFILENAME" != "" ] && SOURCEFILE_NEW="$DIRDELTA/$NEWFILENAME"
  fi
  [ "$SOURCEFILE_NEW" = "" ] && SOURCEFILE_NEW="$DIRDELTA/newfile.${OLDEXT}"
- xmessage -bg orange -center -buttons "" "$(gettext 'please wait')..." & #100131
+ #xmessage -bg orange -center -buttons "" "$(gettext 'please wait')..." & #100131
+ yaf-splash -bg orange -close never -text "$(gettext 'please wait')..." &
  XMPID=$!
  xdelta3 -d -s "$SOURCEFILE_OLD" "$SOURCEFILE_DELTA" "$SOURCEFILE_NEW" 2>/tmp/xdelta_err
  XFLG=$?
  sync
  kill $XMPID
  if [ $XFLG -eq 0 ];then
-  xmessage -bg green -center "`eval_gettext \"SUCCESS! \\\${SOURCEFILE_NEW} generated\"`"
+  pupmessage -bg green -center "`eval_gettext \"SUCCESS! \\\${SOURCEFILE_NEW} generated\"`"
  else
-  xmessage -bg red -center "$(gettext 'ERROR! failed to recreate the new file. Error message:')
+  pupmessage -bg red -center "$(gettext 'ERROR! failed to recreate the new file. Error message:')
 `cat /tmp/xdelta_err`"
  fi
 else
  #generate a delta file...
  BASE_OLD="`basename "$SOURCEFILE_OLD"`"
@@ -249,21 +252,22 @@
  [ $? -ne 0 ] && DIR_NEW='/root'
  [ -f ${DIR_NEW}/verytempfilehere ] && rm -f ${DIR_NEW}/verytempfilehere
  #100131 default to using '___' instead of ':'...
  #SOURCEFILE_DELTA="${DIR_NEW}/${BASE_OLD}:${BASE_NEW}.delta"
  SOURCEFILE_DELTA="${DIR_NEW}/${BASE_OLD}___${BASE_NEW}.delta"
- xmessage -bg orange -center -buttons "" "$(gettext 'please wait')..." & #100131
+ #xmessage -bg orange -center -buttons "" "$(gettext 'please wait')..." & #100131
+ yaf-splash -bg orange -close never -text "$(gettext 'please wait')..." &
  XMPID=$!
  xdelta3 -e -s "$SOURCEFILE_OLD" "$SOURCEFILE_NEW" "$SOURCEFILE_DELTA" 2>/tmp/xdelta_err
  XFLG=$?
  sync
  kill $XMPID
  if [ $XFLG -eq 0 ];then
-  xmessage -bg green -center "`eval_gettext \"SUCCESS! \\\${SOURCEFILE_DELTA} generated\"`"
+  pupmessage -bg green -center "`eval_gettext \"SUCCESS! \\\${SOURCEFILE_DELTA} generated\"`"
  else
-  xmessage -bg red -center "$(gettext 'ERROR! failed to generate the .delta file. Error message:')
+  pupmessage -bg red -center "$(gettext 'ERROR! failed to generate the .delta file. Error message:')
 `cat /tmp/xdelta_err`"
  fi
 fi
 
 
 ###END###

Changes to woof-code/rootfs-skeleton/usr/sbin/xinitrc_test

@@ -1,10 +1,11 @@
 #!/bin/sh
 #Barry Kauler 2009
 #Called from Xorg Wizard, via xinit, testing a video mode.
 #091124 bug fixes, vert and horiz freqs did not display for vesa driver.
 #120202 rodin.s: internationalized.
+#120323 use real xmessage.
 
 export TEXTDOMAIN=xinitrc_test
 export TEXTDOMAINDIR=/usr/share/locale
 export OUTPUT_CHARSET=UTF-8
 . gettext.sh
@@ -50,11 +51,13 @@
 echo "XTEST=$XTEST
 YTEST=$YTEST
 VRTEST=$VRTEST
 HSTEST=$HSTEST" > /tmp/xorgwizard_initrc_test_results #read by xorgwizard.
 LANG=$LANGORG # i18n
-xmessage -font "8x16" -center -timeout 60 -buttons "OK:10" -default OK "
+XMESSAGEEXE='xmessage'
+[ -e /usr/X11R7/bin/xmessage ] && XMESSAGEEXE='/usr/X11R7/bin/xmessage'
+${XMESSAGEEXE} -font "8x16" -center -timeout 60 -buttons "OK:10" -default OK "
 `eval_gettext \"Puppy Xorg Video Wizard: testing X
 
 
 If you can see this, then X is working!
 

Changes to woof-code/rootfs-skeleton/usr/sbin/xorgwizard

@@ -64,10 +64,11 @@
 #120213 /var/local/pup_event_icon_change_flag path changed from /tmp (see /sbin/clean_desk_icons)
 #120213 rodin.s: removed LANG=C prefix when run xinitrc_test.
 #120226 01micko: bugfix, call new script 'nouveau_unload'.
 #120301 it seems have to reload console font after exit from X.
 #120318 correctly set keyboard layout, model and variant.
+#120323 partial replace 'xmessage' with 'pupmessage'.
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 export TEXTDOMAIN=xorgwizard
 export OUTPUT_CHARSET=UTF-8
@@ -358,17 +359,17 @@
    sync
    exec killall X
    ;;
   12) #xorgconfig
    xorgcfg
-   xmessage -bg "#ff8080" -center -title "xorgcfg" "$(gettext 'Changes to /etc/X11/xorg.conf will only take effect after X is restarted.')
+   pupmessage -bg "#ff8080" -center -title "xorgcfg" "$(gettext 'Changes to /etc/X11/xorg.conf will only take effect after X is restarted.')
 
 $(gettext 'Click OK button to restart X...')"
    exec restartwm
    ;;
   13) #xvidtune
-   xmessage -bg violet -title "$(gettext 'Xvidtune IMPORTANT HELP')" "`gettext \"If you click the 'Show' button, the adjusted settings will be what
+   pupmessage -bg violet -title "$(gettext 'Xvidtune IMPORTANT HELP')" "`gettext \"If you click the 'Show' button, the adjusted settings will be what
 you want permanently. After hitting the 'Quit' button, you will be
 given one last chance not to make the change permanent.\"`
 $(gettext 'Thus:')
 `gettext \"'Show' to record the settings (for later inclusion into xorg.conf)\"`
 `gettext \"'Quit' to exit Xvidtune.\"`
@@ -375,11 +376,11 @@
 
 $(gettext 'Please note that Xvidtune does not work with all video hardware, meaning
 that changing the settings will cause no change on the screen.')" &
    XMSGPID=$!
    MODELINE0="`xvidtune | grep '^"[0-9]'`" #'geanyfix.
-   kill $XMSGPID
+   pupkill $XMSGPID
    if [ ! "$MODELINE0" = "" ];then
     xmessage -bg orange -title "$(gettext 'Xvidtune: Modeline')" -buttons Write:10,Quit:11 "$(gettext 'The new modeline is:')
 $MODELINE0
 
 $(gettext 'Note, you will have to restart X for it to take effect. If it messes')

Changes to woof-distro/Packages-puppy-noarch-official

@@ -43,11 +43,11 @@
 langpack_ru-20120318|langpack_ru|20120318||Setup|10000K||langpack_ru-20120318.pet||Russian language-pack for Puppy Linux, for any Puppy built from Woof later than Feb. 28, 2012||||
 lhp_sys_info-0.6|lhp_sys_info|0.6||System|156K||lhp_sys_info-0.6.pet||Hardware and Video Reporting Tool, created by tazoc||||
 linux_firewall-2.0rc9-puppy2|linux_firewall|2.0rc9-puppy2||Network|132K||linux_firewall-2.0rc9-puppy2.pet||Firewall||||
 linux_firmware_dvb-1.20|linux_firmware_dvb|1.20||BuildingBlock|48K||linux_firmware_dvb-1.20.pet||dvb usb kernel firmware||||
 mplayer_codecs_basic-20071007|mplayer_codecs_basic|20071007||Multimedia|612K||mplayer_codecs_basic-20071007.pet||minimum essential codecs||||
-mscw-1|mscw|1||Setup|36K||mscw-1.pet|+alsa-lib,+gtkdialog3|Multiple Sound Card Wizard||||
+mscw-2|mscw|2||Setup|36K||mscw-2.pet|+alsa-lib,+gtkdialog3|Multiple Sound Card Wizard||||
 net_setup-20111016|net_setup|20111016||Setup|352K||net_setup-20111016.pet|+gtkdialog3|Network Wizard||||
 partview-2.2-2|partview|2.2-2||Filesystem|40K||partview-2.2-2.pet||Partview free space in drives||||
 pawdioconverter-1.2|pawdioconverter|1.2||Multimedia|208K||pawdioconverter-1.2.pet|+gtkdialog3,+sox|PawdioConverter audio conversion||||
 pbackup-3.1.9|pbackup|3.1.9||Utility|240K||pbackup-3.1.9.pet|+xdialog,+gtkdialog3,+dvd+rwtools,+cdrkit,+curl|Pbackup Backup and Sync||||
 pburn-3.5.1|pburn|3.5.1||Multimedia|360K||pburn-3.5.1.pet|+gtkdialog,+core-utils,+cdrkit,+dvd+rw-tools,+ffmpeg,+pfilesearch,+dvdauthor,+vobcopy,+vamps,+vcdimager,+normalize,|Pburn CD/DVD/Blu-ray writer|||official|

Changes to woof-distro/x86/Packages-puppy-common-official

@@ -213,11 +213,10 @@
 modem_stats-1.0.1|modem_stats|1.0.1||BuildingBlock|6K||modem_stats-1.0.1.pet||send commands to a modem|puppy|4||
 mountcifs-1.5|mountcifs|1.5||BuildingBlock|28K||mountcifs-1.5.pet||needed by pnethood|puppy|4||
 mp-3.2.13-q1|mp|3.2.13-q1||Document|196K||mp-3.2.13-q1.pet||MP console editor|t2|8.0rc||
 mplayer_codecs_basic-20071007|mplayer_codecs_basic|20071007||Multimedia|612K||mplayer_codecs_basic-20071007.pet||minimum essential codecs||||
 mplayerplug-in-20100117-patched-q1|mplayerplug-in|20100117-patched-q1||Internet|1596K||mplayerplug-in-20100117-patched-q1.pet|+gtk+,+mplayer|mozilla plugin for mplayer, designed for seamonkey 1.1.x but seems still works 2.x|t2|8.0rc||
-mscw-1|mscw|1||Setup|36K||mscw-1.pet|+alsa-lib,+gtkdialog3|Multiple Sound Card Wizard||||
 ms-sys-2.1.2|ms-sys|2.1.2||BuildingBlock|64K||ms-sys-2.1.2.pet||create windows mbr|puppy|4||
 mtr-0.75-w5|mtr|0.75-w5||Network|76K||mtr-0.75-w5.pet||Matts TraceRoute|puppy|wary5||
 nbtscan-1.5.1a-james-patched|nbtscan|1.5.1a-james-patched||BuildingBlock|36K||nbtscan-1.5.1a-james-patched.pet||needed by pnethood|puppy|4||
 nenscript-1.13.3|nenscript|1.13.3||BuildingBlock|36K||nenscript-1.13.3.pet||Text file to Postscript converter|puppy|4||
 netpbm-10.34-w5|netpbm|10.34-w5||BuildingBlock|684K||netpbm-10.34-w5.pet|+libxml|Collection of primitive graphics tools converters etc|puppy|wary5||

Changes to woof-distro/x86/ubuntu/precise/DISTRO_PKGS_SPECS-ubuntu-precise

@@ -282,10 +282,11 @@
 yes|intltool|intltool|exe>dev,dev,doc,nls
 yes|iptables|iptables,iptables-dev|exe,dev,doc,nls
 yes|isomaster|isomaster|exe,dev,doc,nls
 yes|jasper|libjasper1,libjasper-dev,libjasper-runtime|exe,dev,doc,nls
 yes|jimtcl||exe
+yes|json-c|libjson0,libjson0-dev|exe,dev,doc,nls| #needed by mplayer.
 yes|jwm2||exe
 yes|jwmconfig2||exe
 yes|jwmthememaker||exe
 no|kbd|kbd|exe,dev>exe,doc,nls
 no|kbd||exe
@@ -294,13 +295,16 @@
 yes|lame|lame,libmp3lame0,libmp3lame-dev|exe,dev,doc,nls
 yes|lcms|liblcms1,liblcms1-dev,liblcms-utils|exe,dev,doc,nls
 yes|leafpad|leafpad|exe,dev>null,doc,nls
 yes|less|less|exe,dev>null,doc,nls
 yes|lhp_sys_info||exe
+yes|libaacs|libaacs0,libaacs-dev|exe,dev,doc,nls| #mplayer needs this.
 yes|libao|libao4,libao-common,libao-dev|exe,dev,doc,nls
 yes|libart|libart-2.0-2,libart-2.0-dev|exe,dev,doc,nls
+yes|libasyncns|libasyncns0,libasyncns-dev|exe,dev,doc,nls| #needed by mplayer.
 yes|libav|libav-tools|exe,dev,doc,nls
+yes|libbluray|libbluray1,libbluray-dev|exe,dev,doc,nls| #needed by mplayer.
 yes|libbonobo|libbonobo2-0,libbonobo2-dev,libbonoboui2-0,libbonoboui2-dev|exe,dev,doc,nls
 yes|libcap|libcap2,libcap-dev|exe,dev,doc,nls
 no|libcddb|libcddb2,libcddb2-dev|exe,dev,doc,nls| #debian/ubuntu pkg missing 'cddb_query', also very old version (warning: .deb 'cddb' package has nothing to do with libcddb pkg)
 yes|libcddb||exe,dev,doc,nls
 yes|libcdio|libcdio13,libcdio-dev,libcdio-cdda1,libcdio-cdda-dev,libcdio-paranoia1,libcdio-paranoia-dev,libcdio-utils,libiso9660-8|exe,dev,doc,nls
@@ -308,12 +312,13 @@
 yes|libcurl3-gnutls|libcurl3-gnutls|exe>dev,dev,doc>null,nls>null| #this is needed by git in the devx sfs file.
 yes|libdaemon|libdaemon0,libdaemon-dev|exe,dev,doc,nls
 yes|libdatrie|libdatrie1,libdatrie-dev|exe,dev,doc,nls
 yes|libdb|libdb4.8,libdb4.8-dev|exe>dev,dev,doc,nls
 yes|libdc1394|libdc1394-22,libdc1394-22-dev|exe,dev,doc,nls| #ffmpeg3 compiled in luci needs this
+yes|libdca|libdca0,libdca-dev|exe,dev,doc,nls| #mplayer needs this.
 yes|libdvdcss||exe,dev,doc,nls
-no|libdvdnav|libdvdnav4,libdvdnav-dev|exe,dev,doc,nls
+yes|libdvdnav|libdvdnav4,libdvdnav-dev|exe,dev,doc,nls| #needed by mplayer.
 no|libdvdplay||exe,dev,doc,nls
 yes|libdvdread|libdvdread4,libdvdread-dev|exe,dev,doc,nls
 yes|libedit|libedit2,libedit-dev|exe,dev,doc,nls
 yes|libexif|libexif12,libexif-dev|exe,dev,doc,nls
 yes|libexif-gtk|libexif-gtk5,libexif-gtk-dev|exe,dev,doc,nls
@@ -347,11 +352,12 @@
 yes|libltdl|libltdl7,libltdl-dev|exe,dev,doc,nls| #note, this is really part of libtool pkg, but libs needed at runtime.
 yes|libmad|libmad0,libmad0-dev|exe,dev,doc,nls
 yes|libmcrypt|libmcrypt4,libmcrypt-dev|exe,dev,doc,nls
 yes|libmng|libmng1,libmng-dev|exe,dev,doc,nls
 no|libmozjs0d||exe| #just provides symlinks into seamonkey.
-yes|libnl|libnl1,libnl-dev,libnl-doc|exe,dev,doc,nls
+yes|libnl|libnl1,libnl-dev,libnl-doc|exe,dev,doc,nls| #this was used in lucid, perhaps not needed now.
+yes|libnl3|libnl-3-200,libnl-3-dev,libnl-cli-3-200,libnl-cli-3-dev,libnl-genl-3-200,libnl-genl-3-dev,libnl-nf-3-200,libnl-nf-3-dev,libnl-route-3-200,libnl-route-3-dev|exe,dev,doc,nls
 yes|libnotify|libnotify4,libnotify-dev|exe,dev,doc,nls
 no|libofx|libofx4,libofx-dev|exe,dev,doc,nls|+opensp
 yes|libopencore|libopencore-amrnb0,libopencore-amrnb-dev,libopencore-amrwb0,libopencore-amrwb-dev|exe,dev,doc,nls| #was libopencore dep for ffmpeg3 or mplayer2--can delete if mplayer2
 yes|libogg|libogg0,libogg-dev|exe,dev,doc,nls
 yes|liboil|liboil0.3,liboil0.3-dev|exe,dev,doc,nls
@@ -379,16 +385,19 @@
 yes|libtheora|libtheora0,libtheora-dev|exe,dev,doc,nls
 yes|libtiff|libtiff4,libtiff4-dev|exe,dev,doc,nls
 yes|libtool|libtool,autotools-dev|exe>dev,dev,doc,nls
 yes|libusb|libusb-0.1-4,libusb-dev|exe,dev,doc,nls
 yes|libusb1|libusb-1.0-0,libusb-1.0-0-dev|exe,dev,doc,nls| #libusb1 necesssary for ffmpeg3
+yes|libva|libva1,libva-dev,libva-glx1,libva-egl1|exe,dev,doc,nls| #needed by mplayer.
+yes|libvdpau|libvdpau1,libvdpau-dev|exe,dev,doc,nls| #needed by mplayer.
 no|libvolume-id|libvolume-id1,libvolume-id-dev|exe,dev,doc,nls
 yes|libvorbis|libvorbis0a,libvorbis-dev,libvorbisenc2,libvorbisfile3|exe,dev,doc,nls
+yes|libvpx|libvpx1,libvpx-dev|exe,dev,doc,nls| #needed by mplayer.
 yes|libwmf|libwmf0.2-7,libwmf-dev|exe,dev,doc,nls
 yes|libwpg|libwpg-0.2-2|exe,dev>null,doc,nls
 yes|libwpd|libwpd-0.9-9,libwpd-dev|exe,dev,doc,nls
-yes|libxcb_base|libxcb1,libxcb1-dev,libxcb-render0,libxcb-render0-dev,libxcb-render-util0,libxcb-render-util0-dev,libxcb-shape0,libxcb-shape0-dev,libxcb-shm0,libxcb-shm0-dev|exe,dev,doc,nls
+yes|libxcb_base|libxcb1,libxcb1-dev,libxcb-render0,libxcb-render0-dev,libxcb-render-util0,libxcb-render-util0-dev,libxcb-shape0,libxcb-shape0-dev,libxcb-shm0,libxcb-shm0-dev,libxcb-glx0,libxcb-glx0-dev|exe,dev,doc,nls
 yes|xcb-util|libxcb-util0,libxcb-util0-dev|exe,dev,doc,nls
 no|libxfce4mcs|libxfce4mcs-client3,libxfce4mcs-manager3,libxfce4mcs-dev|exe,dev,doc,nls
 no|libxfce4util|libxfce4util4,libxfce4util-dev|exe,dev,doc,nls
 no|libxfcegui4|libxfcegui4-4,libxfcegui4-dev|exe,dev,doc,nls
 yes|libxml2|libxml2,libxml2-dev|exe,dev,doc,nls
@@ -424,10 +433,11 @@
 yes|module-init-tools|module-init-tools|exe,dev,doc,nls
 yes|mountcifs||exe
 no|mp|mped|exe,dev>null,doc,nls| #no, the gtk mode of this mp is awful, use my curses-only pkg.
 yes|mp||exe
 yes|mpclib|libmpc2|exe>dev,dev,doc,nls
+yes|mpeg2dec|libmpeg2-4,libmpeg2-4-dev|exe,dev,doc,nls| #needed by mplayer.
 yes|mpfr|libmpfr4|exe>dev,dev,doc,nls
 no|mplayerplug-in||exe,dev,doc,nls
 yes|mplayer|mplayer,libaa1,libaudio2,libcaca0,libenca0,libesd0,libgpm2,libjack0,liblzo2-2,libmpcdec6,libopenal1,libpostproc52,libpulse0,libschroedinger-1.0-0,libsdl1.2debian,libsmbclient,libspeex1,libsvga1,libswscale2,libtalloc2,libwbclient0,libwrap0,libx86-1,libx264-120,libxvidcore4,libxvmc1,libxxf86dga1|exe,dev,doc,nls
 no|mplayer_codecs_basic||exe
 yes|ms-sys||exe
@@ -461,12 +471,14 @@
 yes|openldap|libldap-2.4-2,libldap2-dev|exe,dev,doc,nls
 yes|openslp|libslp1,libslp-dev|exe,dev,doc,nls
 no|opensp|libosp5|exe,dev,doc,nls
 no|opensp|opensp,libosp-dev|exe>dev,dev,doc,nls|+sgml-base,+sgml-data,+xml-core
 yes|openssh_client|openssh-client|exe,dev,doc,nls
-yes|openssl|openssl,libssl0.9.8,libssl-dev|exe,dev,doc,nls
+yes|openssl0|libssl0.9.8|exe,dev>null,doc,nls| #old version.
+yes|openssl|openssl,libssl1.0.0,libssl-dev|exe,dev,doc,nls
 yes|orbit2|liborbit2,liborbit2-dev|exe,dev,doc,nls
+yes|orc|liborc-0.4-0,liborc-0.4-dev|exe,dev,doc,nls| #needed by mplayer.
 yes|osmo|osmo|exe,dev,doc,nls
 no|osmo||exe
 yes|ots|libots0,libots-dev|exe,dev,doc,nls
 yes|p11-kit|libp11-kit0|exe,dev>null,doc,nls| #needed by cupsd.
 yes|pam|libpam0g|exe,dev,doc,nls
@@ -592,10 +604,11 @@
 no|syslinux|syslinux|exe,dev>null,doc,nls
 yes|syslinux||exe,dev,doc,nls| #must use pet syslinux pkg.
 yes|sysprof|sysprof|exe>dev,dev,doc,nls
 yes|sysvinit||exe
 yes|tar|tar|exe,dev>null,doc,nls
+yes|tdb|libtdb1,libtdb-dev|exe,dev,doc,nls| #needed by mplayer.
 no|teagtk||exe
 yes|texinfo|texinfo|exe>dev,dev,doc,nls
 yes|tile||exe
 yes|time|time|exe,dev>null,doc,nls
 yes|truncate||exe
@@ -663,11 +676,11 @@
 yes|xml-core|xml-core|exe>dev,dev,doc,nls
 no|xorg_base|xkb-data,xinit,x11-xkb-utils,x11-xserver-utils,x11-utils,x11-apps,libdrm2,libdrm-dev,libfontconfig1,libfontconfig1-dev,libfontenc1,libfontenc-dev,libgl1-mesa-glx,libgl1-mesa-dev,libglu1-mesa,libglu1-mesa-dev,libice6,libice-dev,libsm6,libsm-dev,libx11-6,libx11-dev,libx11-data,libxau6,libxau-dev,libxaw7,libxaw7-dev,libxcomposite1,libxcomposite-dev,libxcursor1,libxcursor-dev,libxdamage1,libxdamage-dev,libxdmcp6,libxdmcp-dev,libxext6,libxext-dev,libxfixes3,libxfixes-dev,libxfont1,libxfont-dev,libxft2,libxft-dev,libxi6,libxi-dev,libxinerama1,libxinerama-dev,libxkbfile1,libxkbfile-dev,libxkbui1,libxkbui-dev,libxmu6,libxmu-dev,libxmuu1,libxmuu-dev,libxpm4,libxpm-dev,libxrandr2,libxrandr-dev,libxrender1,libxrender-dev,libxt6,libxt-dev,libxtst6,libxtst-dev,libxv1,libxv-dev,libxxf86misc1,libxxf86misc-dev,libxxf86vm1,libxxf86vm-dev|exe,dev,doc,nls
 no|xorg_base|xfonts-utils,libxmu-headers,mesa-common-dev,xinit,x11-xkb-utils,x11-xserver-utils,x11-utils,x11-apps,libdrm2,libdrm-*,fontconfig,libfontconfig1,libfontconfig1-dev,libfontenc1,libfontenc-dev,libgl1-mesa-glx,libgl1-mesa-dev,libglu1-mesa,libglu1-mesa-dev,libice6,libice-dev,libsm6,libsm-dev,libx11-6,libx11-dev,libx11-data,libxau6,libxau-dev,libxaw7,libxaw7-dev,libxcomposite1,libxcomposite-dev,libxcursor1,libxcursor-dev,libxdamage1,libxdamage-dev,libxdmcp6,libxdmcp-dev,libxext6,libxext-dev,libxfixes3,libxfixes-dev,libxfont1,libxfont-dev,libxft2,libxft-dev,libxi6,libxi-dev,libxinerama1,libxinerama-dev,libxkbfile1,libxkbfile-dev,libxkbui1,libxkbui-dev,libxmu6,libxmu-dev,libxmuu1,libxmuu-dev,libxpm4,libxpm-dev,libxrandr2,libxrandr-dev,libxrender1,libxrender-dev,libxss1,libxss-dev,libxt6,libxt-dev,libxtst6,libxtst-dev,libxv1,libxv-dev,libxxf86misc1,libxxf86misc-dev,libxxf86vm1,libxxf86vm-dev|exe,dev,doc,nls| #has libdrm-* lupu
 no|xorg_base|xfonts-utils,libxmu-headers,mesa-common-dev,libgl1-mesa-dri,xinit,x11-xkb-utils,x11-xserver-utils,x11-utils,x11-apps,fontconfig,libfontconfig1,libfontconfig1-dev,libfontenc1,libfontenc-dev,libgl1-mesa-glx,libgl1-mesa-dev,libglu1-mesa,libglu1-mesa-dev,libice6,libice-dev,libsm6,libsm-dev,libx11-6,libx11-dev,libx11-data,libxau6,libxau-dev,libxaw7,libxaw7-dev,libxcomposite1,libxcomposite-dev,libxcursor1,libxcursor-dev,libxdamage1,libxdamage-dev,libxdmcp6,libxdmcp-dev,libxext6,libxext-dev,libxfixes3,libxfixes-dev,libxfont1,libxfont-dev,libxft2,libxft-dev,libxi6,libxi-dev,libxinerama1,libxinerama-dev,libxkbfile1,libxkbfile-dev,libxkbui1,libxkbui-dev,libxmu6,libxmu-dev,libxmuu1,libxmuu-dev,libxpm4,libxpm-dev,libxrandr2,libxrandr-dev,libxrender1,libxrender-dev,libxss1,libxss-dev,libxt6,libxt-dev,libxtst6,libxtst-dev,libxv1,libxv-dev,libxxf86misc1,libxxf86misc-dev,libxxf86vm1,libxxf86vm-dev|exe,dev,doc,nls| #i took out libdrm, now a updated pet pkg... added xfonts-utils_.
 no|xorg_base|xfonts-utils,libxmu-headers,mesa-common-dev,libgl1-mesa-dri,xinit,x11-xkb-utils,x11-xserver-utils,x11-utils,x11-apps,fontconfig,libdrm2,libdrm-dev,libdrm-intel1,libdrm-nouveau1a,libdrm-radeon1,libfontconfig1,libfontconfig1-dev,libfontenc1,libfontenc-dev,libgl1-mesa-glx,libgl1-mesa-dev,libglu1-mesa,libglu1-mesa-dev,libice6,libice-dev,libsm6,libsm-dev,libx11-6,libx11-dev,libx11-data,libxau6,libxau-dev,libxaw7,libxaw7-dev,libxcomposite1,libxcomposite-dev,libxcursor1,libxcursor-dev,libxdamage1,libxdamage-dev,libxdmcp6,libxdmcp-dev,libxext6,libxext-dev,libxfixes3,libxfixes-dev,libxfont1,libxfont-dev,libxft2,libxft-dev,libxi6,libxi-dev,libxinerama1,libxinerama-dev,libxkbfile1,libxkbfile-dev,libxmu6,libxmu-dev,libxmuu1,libxmuu-dev,libxpm4,libxpm-dev,libxrandr2,libxrandr-dev,libxrender1,libxrender-dev,libxres1,libxres-dev,libxss1,libxss-dev,libxt6,libxt-dev,libxtst6,libxtst-dev,libxv1,libxv-dev,libxxf86dga1,libxxf86dga-dev,libxxf86vm1,libxxf86vm-dev|exe,dev,doc,nls| #jaunty, restored libdrm... added libxtrap... w463 added libxxf86dga... w464 added libxres.
-yes|xorg_base|libx11-xcb1,libx11-xcb-dev,xfonts-utils,libxmu-headers,mesa-common-dev,libgl1-mesa-dri,xinit,x11-xkb-utils,x11-xserver-utils,x11-utils,x11-apps,fontconfig,libdrm2,libdrm-dev,libdrm-intel1,libdrm-nouveau1a,libdrm-radeon1,libfontconfig1,libfontconfig1-dev,libfontenc1,libfontenc-dev,libgl1-mesa-glx,libgl1-mesa-dev,libglu1-mesa,libglu1-mesa-dev,libice6,libice-dev,libsm6,libsm-dev,libx11-6,libx11-dev,libx11-data,libxau6,libxau-dev,libxaw7,libxaw7-dev,libxcomposite1,libxcomposite-dev,libxcursor1,libxcursor-dev,libxdamage1,libxdamage-dev,libxdmcp6,libxdmcp-dev,libxext6,libxext-dev,libxfixes3,libxfixes-dev,libxfont1,libxfont-dev,libxft2,libxft-dev,libxi6,libxi-dev,libxinerama1,libxinerama-dev,libxkbfile1,libxkbfile-dev,libxmu6,libxmu-dev,libxmuu1,libxmuu-dev,libxpm4,libxpm-dev,libxrandr2,libxrandr-dev,libxrender1,libxrender-dev,libxres1,libxres-dev,libxss1,libxss-dev,libxt6,libxt-dev,libxtst6,libxtst-dev,libxv1,libxv-dev,libxxf86dga1,libxxf86dga-dev,libxxf86vm1,libxxf86vm-dev|exe,dev,doc,nls| #precise: added libx11-xcb1, libx11-xcb-dev
+yes|xorg_base|libglapi-mesa,libx11-xcb1,libx11-xcb-dev,xfonts-utils,libxmu-headers,mesa-common-dev,libgl1-mesa-dri,xinit,x11-xkb-utils,x11-xserver-utils,x11-utils,x11-apps,fontconfig,libdrm2,libdrm-dev,libdrm-intel1,libdrm-nouveau1a,libdrm-radeon1,libfontconfig1,libfontconfig1-dev,libfontenc1,libfontenc-dev,libgl1-mesa-glx,libgl1-mesa-dev,libglu1-mesa,libglu1-mesa-dev,libice6,libice-dev,libsm6,libsm-dev,libx11-6,libx11-dev,libx11-data,libxau6,libxau-dev,libxaw7,libxaw7-dev,libxcomposite1,libxcomposite-dev,libxcursor1,libxcursor-dev,libxdamage1,libxdamage-dev,libxdmcp6,libxdmcp-dev,libxext6,libxext-dev,libxfixes3,libxfixes-dev,libxfont1,libxfont-dev,libxft2,libxft-dev,libxi6,libxi-dev,libxinerama1,libxinerama-dev,libxkbfile1,libxkbfile-dev,libxmu6,libxmu-dev,libxmuu1,libxmuu-dev,libxpm4,libxpm-dev,libxrandr2,libxrandr-dev,libxrender1,libxrender-dev,libxres1,libxres-dev,libxss1,libxss-dev,libxt6,libxt-dev,libxtst6,libxtst-dev,libxv1,libxv-dev,libxxf86dga1,libxxf86dga-dev,libxxf86vm1,libxxf86vm-dev|exe,dev,doc,nls| #precise: added libx11-xcb1, libx11-xcb-dev, libglapi-mesa
 yes|xorg_dri|libgl1-mesa-dri,mesa-utils|exe,dev,doc,nls|
 no|xsane|xsane,xsane-common|exe,dev>null,doc,nls| #this needs 'libgimp', compiled my own pet pkg without this dep.
 yes|xsane||exe
 no|xserver_xorg|xserver-common,xserver-xorg,xserver-xorg-*,-xserver-xorg-core-dbg|exe,dev,doc,nls
 no|xserver_xorg|xserver-common,xserver-xorg,xserver-xorg-*,-xserver-xorg-video-nouveau,-xserver-xorg-core-dbg,-xserver-xorg-video-*-dbg|exe,dev,doc,nls| #displaylink causes the auto config that ignores xorgwizard